Mandriva Linux 安全公告:ruby (MDVSA-2011:097)

medium Nessus 插件 ID 54626
全新!插件严重性现在使用 CVSS v3

计算的插件严重性默认已更新为使用 CVSS v3。没有 CVSS v3 分数的插件将回退到 CVSS v2 来计算严重性。可以在设置下拉列表中切换严重性显示首选项。

简介

远程 Mandriva Linux 主机缺少一个或多个安全更新。

描述

在 ruby 中发现并修复了多种漏洞:

在 Ruby 的 WEBrick HTTP 服务器中,跨站脚本 (XSS) 漏洞允许远程攻击者通过构建的 URI 触发 UTF-7 错误页面,以此注入任意 Web 脚本或 HTML (CVE-2010-0541)。

Ruby 中的 FileUtils.remove_entry_secure 方法允许本地用户通过符号链接攻击删除任意文件 (CVE-2011-1004)。

Ruby 中的安全级功能允许上下文有关的攻击者通过 Exception#to_s 方法修改字符串,变更预定的路径名即为一例 (CVE-2011-1005)。

在 Ruby 的 BigDecimal 类别中,bigdecimal.c 的 VpMemAlloc 函数不会正确分配内存,从而允许上下文有关的攻击者通过涉及 64 位进程内大型 BigDecimal 值创建的矢量来执行任意代码或造成拒绝服务(应用程序崩溃),此问题与整数截断问题有关。(CVE-2011-0188)。

自扩展维护计划起,提供适用于 2009.0 的程序包。请访问此链接以了解更多信息:http://store.mandriva.com/product_info.php?cPath=149products_id=490

更新后的程序包已进行修补,以修正此问题。

解决方案

更新受影响的程序包。

插件详情

严重性: Medium

ID: 54626

文件名: mandriva_MDVSA-2011-097.nasl

版本: 1.10

类型: local

发布时间: 2011/5/24

最近更新时间: 2021/1/6

依存关系: ssh_get_info.nasl

风险信息

VPR

风险因素: Medium

分数: 5.8

CVSS v2

风险因素: Medium

基本分数: 6.8

时间分数: 5.9

矢量: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P

时间矢量: CVSS2#E:ND/RL:OF/RC:C

漏洞信息

CPE: cpe:2.3:o:mandriva:linux:2009.0:*:*:*:*:*:*:*, cpe:2.3:o:mandriva:linux:2010.1:*:*:*:*:*:*:*, p-cpe:2.3:a:mandriva:linux:ruby:*:*:*:*:*:*:*, p-cpe:2.3:a:mandriva:linux:ruby-devel:*:*:*:*:*:*:*, p-cpe:2.3:a:mandriva:linux:ruby-doc:*:*:*:*:*:*:*, p-cpe:2.3:a:mandriva:linux:ruby-tk:*:*:*:*:*:*:*

必需的 KB 项: Host/local_checks_enabled, Host/cpu, Host/Mandrake/release, Host/Mandrake/rpm-list

易利用性: No known exploits are available

补丁发布日期: 2011/5/23

参考资料信息

CVE: CVE-2011-1005, CVE-2011-0188, CVE-2011-1004, CVE-2010-0541

BID: 46458, 46460, 46966, 40895

MDVSA: 2011:097